import isLoggedIn from "~/lib/server/middlewareButNotReally/isLoggedIn";
import { User } from "~/models/user";

export default eventHandler(async (ev) => {
	isLoggedIn(ev);
	let idee = parseInt(getRouterParam(ev, "id")!);
	if (isNaN(idee))
		throw createError({
			statusCode: 400,
		});
	await User.findOneAndUpdate(
		{ _id: ev.context.currentUser!._id },
		{
			$addToSet: {
				blocked: idee,
			},
		},
	);
});
